[USN-5438-1] HTMLDOC vulnerability


========================================================================== Ubuntu Security Notice USN-5438-1 May 23, 2022
htmldoc vulnerability ==========================================================================
A security issue affects these releases of Ubuntu and its derivatives:
– Ubuntu 20.04 LTS – Ubuntu 18.04 LTS
Summary:
HTMLDOC could be made to crash or run programs if it received specially crafted HTML files.
Software Description: – htmldoc: HTML processor that generates indexed HTML, PS, and PDF
Details:
It was discovered that HTMLDOC did not properly manage memory under certain circumstances. If a user were tricked into opening a specially crafted HTML file, a remote attacker could possibly use this issue to cause HTMLDOC to crash, resulting in a denial of service, or possibly execute arbitrary code.
Update instructions:
The problem can be corrected by updating your system to the following package versions:
Ubuntu 20.04 LTS: htmldoc 1.9.7-1ubuntu0.3 htmldoc-common 1.9.7-1ubuntu0.3
Ubuntu 18.04 LTS: htmldoc 1.9.2-1ubuntu0.2 htmldoc-common 1.9.2-1ubuntu0.2
In general, a standard system update will make all the necessary changes.
References: ubuntu.com/security/notices/USN-5438-1 CVE-2021-23165
Package Information: launchpad.net/ubuntu/+source/htmldoc/1.9.7-1ubuntu0.3 launchpad.net/ubuntu/+source/htmldoc/1.9.2-1ubuntu0.2